#include "messagelist.h"

#include <qvariant.h>
#include "../ui/messagelist.ui.h"
/*
 *  Constructs a MessageList as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MessageList::MessageList(QWidget* parent, const char* name, Qt::WindowFlags fl)
    : QWidget(parent, name, fl)
{
    setupUi(this);

    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
MessageList::~MessageList()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MessageList::languageChange()
{
    retranslateUi(this);
}

