/***************************************************************************
*   Copyright (C) 2005-2006 by Jinsoo Kang                                *
*   jsk@gravitybind.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include "tx.cfg"
#include "helpbrowser.h"

HelpBrowser::HelpBrowser( QWidget* parent, Qt::WFlags f ) : QWidget(parent, f)
{
	setupUi(this); 
	connect(buttonBackward, SIGNAL(clicked()), textBrowser, SLOT(backward()));
	connect(buttonForward, SIGNAL(clicked()), textBrowser, SLOT(forward()));
}

void HelpBrowser::setSearchPaths ( const QStringList & paths )
{
	textBrowser->setSearchPaths(paths);
}

void HelpBrowser::setSource ( const QUrl & name )
{
	textBrowser->setSource(name);
}
