#ifndef GENERALPREF_H
#define GENERALPREF_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_GeneralPref
{
public:
    QGridLayout *gridLayout;
    QCheckBox *checkBox_drawBranches;
    QCheckBox *checkBox_sortAttr;
    QHBoxLayout *hboxLayout;
    QLabel *textLabel5;
    QSpinBox *spinBox_recentDocs;
    QLabel *textLabel6;
    QSpacerItem *spacer24;
    QSpacerItem *spacer3;
    Q3GroupBox *groupBox1;
    QGridLayout *gridLayout1;
    QLabel *textLabel3;
    QPushButton *button_emptyBorder;
    QPushButton *button_focusBorder;
    QPushButton *button_filledBorder;
    QLabel *textLabel4;
    QSpacerItem *spacer28;
    QLabel *textLabel7;
    QSpacerItem *spacer27;
    QSpacerItem *spacer21;
    Q3GroupBox *groupBox2;
    QGridLayout *gridLayout2;
    QSpinBox *spinBox_minColumnWidth;
    QSpinBox *spinBox_indent;
    QSpacerItem *spacer29;
    QLabel *textLabel8;
    QLabel *textLabel1;
    QSpacerItem *spacer30;

    void setupUi(QWidget *GeneralPref)
    {
        if (GeneralPref->objectName().isEmpty())
            GeneralPref->setObjectName(QString::fromUtf8("GeneralPref"));
        GeneralPref->resize(600, 480);
        gridLayout = new QGridLayout(GeneralPref);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        checkBox_drawBranches = new QCheckBox(GeneralPref);
        checkBox_drawBranches->setObjectName(QString::fromUtf8("checkBox_drawBranches"));
        checkBox_drawBranches->setChecked(true);

        gridLayout->addWidget(checkBox_drawBranches, 7, 0, 1, 1);

        checkBox_sortAttr = new QCheckBox(GeneralPref);
        checkBox_sortAttr->setObjectName(QString::fromUtf8("checkBox_sortAttr"));
        checkBox_sortAttr->setChecked(true);

        gridLayout->addWidget(checkBox_sortAttr, 6, 0, 1, 2);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        textLabel5 = new QLabel(GeneralPref);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setWordWrap(false);

        hboxLayout->addWidget(textLabel5);

        spinBox_recentDocs = new QSpinBox(GeneralPref);
        spinBox_recentDocs->setObjectName(QString::fromUtf8("spinBox_recentDocs"));
        spinBox_recentDocs->setValue(20);

        hboxLayout->addWidget(spinBox_recentDocs);

        textLabel6 = new QLabel(GeneralPref);
        textLabel6->setObjectName(QString::fromUtf8("textLabel6"));
        textLabel6->setWordWrap(false);

        hboxLayout->addWidget(textLabel6);

        spacer24 = new QSpacerItem(201, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(spacer24);


        gridLayout->addLayout(hboxLayout, 0, 0, 1, 2);

        spacer3 = new QSpacerItem(21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacer3, 1, 1, 1, 1);

        groupBox1 = new Q3GroupBox(GeneralPref);
        groupBox1->setObjectName(QString::fromUtf8("groupBox1"));
        groupBox1->setColumnLayout(0, Qt::Vertical);
        groupBox1->layout()->setSpacing(6);
        groupBox1->layout()->setMargin(11);
        gridLayout1 = new QGridLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox1->layout());
        if (boxlayout)
            boxlayout->addLayout(gridLayout1);
        gridLayout1->setAlignment(Qt::AlignTop);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        textLabel3 = new QLabel(groupBox1);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setWordWrap(false);

        gridLayout1->addWidget(textLabel3, 0, 0, 1, 1);

        button_emptyBorder = new QPushButton(groupBox1);
        button_emptyBorder->setObjectName(QString::fromUtf8("button_emptyBorder"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(button_emptyBorder->sizePolicy().hasHeightForWidth());
        button_emptyBorder->setSizePolicy(sizePolicy);
        button_emptyBorder->setMaximumSize(QSize(30, 32767));

        gridLayout1->addWidget(button_emptyBorder, 0, 1, 1, 1);

        button_focusBorder = new QPushButton(groupBox1);
        button_focusBorder->setObjectName(QString::fromUtf8("button_focusBorder"));
        button_focusBorder->setMaximumSize(QSize(30, 32767));

        gridLayout1->addWidget(button_focusBorder, 0, 7, 1, 1);

        button_filledBorder = new QPushButton(groupBox1);
        button_filledBorder->setObjectName(QString::fromUtf8("button_filledBorder"));
        button_filledBorder->setMaximumSize(QSize(30, 32767));

        gridLayout1->addWidget(button_filledBorder, 0, 4, 1, 1);

        textLabel4 = new QLabel(groupBox1);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setWordWrap(false);

        gridLayout1->addWidget(textLabel4, 0, 3, 1, 1);

        spacer28 = new QSpacerItem(91, 21, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacer28, 0, 2, 1, 1);

        textLabel7 = new QLabel(groupBox1);
        textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
        textLabel7->setWordWrap(false);

        gridLayout1->addWidget(textLabel7, 0, 6, 1, 1);

        spacer27 = new QSpacerItem(71, 21, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacer27, 0, 5, 1, 1);


        gridLayout->addWidget(groupBox1, 2, 0, 1, 2);

        spacer21 = new QSpacerItem(21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacer21, 3, 1, 1, 1);

        groupBox2 = new Q3GroupBox(GeneralPref);
        groupBox2->setObjectName(QString::fromUtf8("groupBox2"));
        groupBox2->setColumnLayout(0, Qt::Vertical);
        groupBox2->layout()->setSpacing(6);
        groupBox2->layout()->setMargin(11);
        gridLayout2 = new QGridLayout();
        QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(groupBox2->layout());
        if (boxlayout1)
            boxlayout1->addLayout(gridLayout2);
        gridLayout2->setAlignment(Qt::AlignTop);
        gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
        spinBox_minColumnWidth = new QSpinBox(groupBox2);
        spinBox_minColumnWidth->setObjectName(QString::fromUtf8("spinBox_minColumnWidth"));
        spinBox_minColumnWidth->setMaximum(300);
        spinBox_minColumnWidth->setMinimum(5);
        spinBox_minColumnWidth->setValue(50);

        gridLayout2->addWidget(spinBox_minColumnWidth, 1, 1, 1, 1);

        spinBox_indent = new QSpinBox(groupBox2);
        spinBox_indent->setObjectName(QString::fromUtf8("spinBox_indent"));
        spinBox_indent->setValue(30);

        gridLayout2->addWidget(spinBox_indent, 0, 1, 1, 1);

        spacer29 = new QSpacerItem(181, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout2->addItem(spacer29, 0, 2, 1, 1);

        textLabel8 = new QLabel(groupBox2);
        textLabel8->setObjectName(QString::fromUtf8("textLabel8"));
        textLabel8->setWordWrap(false);

        gridLayout2->addWidget(textLabel8, 1, 0, 1, 1);

        textLabel1 = new QLabel(groupBox2);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setWordWrap(false);

        gridLayout2->addWidget(textLabel1, 0, 0, 1, 1);


        gridLayout->addWidget(groupBox2, 4, 0, 1, 2);

        spacer30 = new QSpacerItem(21, 41, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacer30, 5, 1, 1, 1);


        retranslateUi(GeneralPref);
        QObject::connect(button_emptyBorder, SIGNAL(clicked()), GeneralPref, SLOT(emptyBorderDialog()));
        QObject::connect(button_filledBorder, SIGNAL(clicked()), GeneralPref, SLOT(filledBorderDialog()));
        QObject::connect(button_focusBorder, SIGNAL(clicked()), GeneralPref, SLOT(focusBorderDialog()));

        QMetaObject::connectSlotsByName(GeneralPref);
    } // setupUi

    void retranslateUi(QWidget *GeneralPref)
    {
        GeneralPref->setWindowTitle(QApplication::translate("GeneralPref", "Form1", 0, QApplication::UnicodeUTF8));
        checkBox_drawBranches->setText(QApplication::translate("GeneralPref", "Draw branches", 0, QApplication::UnicodeUTF8));
        checkBox_sortAttr->setText(QApplication::translate("GeneralPref", "Sort XML attributes", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("GeneralPref", "Remember last", 0, QApplication::UnicodeUTF8));
        textLabel6->setText(QApplication::translate("GeneralPref", "recently opened file(s)", 0, QApplication::UnicodeUTF8));
        groupBox1->setTitle(QApplication::translate("GeneralPref", "Cell Border Color", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("GeneralPref", "<p align=\"right\">Empty:</p>", 0, QApplication::UnicodeUTF8));
        button_emptyBorder->setText(QString());
        button_focusBorder->setText(QString());
        button_filledBorder->setText(QString());
        textLabel4->setText(QApplication::translate("GeneralPref", "<p align=\"right\">Filled:</p>", 0, QApplication::UnicodeUTF8));
        textLabel7->setText(QApplication::translate("GeneralPref", "<p align=\"right\">Focused:</p>", 0, QApplication::UnicodeUTF8));
        groupBox2->setTitle(QApplication::translate("GeneralPref", "Dimensions", 0, QApplication::UnicodeUTF8));
        spinBox_minColumnWidth->setSuffix(QApplication::translate("GeneralPref", " pixels", 0, QApplication::UnicodeUTF8));
        spinBox_indent->setSuffix(QApplication::translate("GeneralPref", " pixels", 0, QApplication::UnicodeUTF8));
        textLabel8->setText(QApplication::translate("GeneralPref", "<nobr><p align=\"right\">Minimum column width:</p>", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("GeneralPref", "<nobr><p align=\"right\">Indent width:</p>", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(GeneralPref);
    } // retranslateUi

};

namespace Ui {
    class GeneralPref: public Ui_GeneralPref {};
} // namespace Ui

QT_END_NAMESPACE

class GeneralPref : public QWidget, public Ui::GeneralPref
{
    Q_OBJECT

public:
    GeneralPref(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~GeneralPref();

    virtual QColor emptyColor();
    virtual QColor filledColor();
    virtual QColor focusColor();
    virtual int numRecentDocs();
    virtual int indentWidth();
    virtual int minColumnWidth();
    virtual bool sortAttr();
    virtual bool drawBranches();

public slots:
    virtual void setDefaults();
    virtual void setColorIcon();
    virtual void setEmptyColor( QColor c );
    virtual void setFilledColor( QColor c );
    virtual void setFocusColor( QColor c );
    virtual void emptyBorderDialog();
    virtual void filledBorderDialog();
    virtual void focusBorderDialog();
    virtual void setNumRecentDocs( int val );
    virtual void setIndentWidth( int width );
    virtual void setMinColumnWidth( int width );
    virtual void setSortAttr( bool val );
    virtual void setDrawBranches( bool val );

protected slots:
    virtual void languageChange();

private:
    QColor emptyBorderColor;
    QColor filledBorderColor;
    QColor focusBorderColor;

    void init();

};

#endif // GENERALPREF_H
